org.apache.tinkerpop.gremlin.jsr223

## Class ImportGremlinPlugin.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.jsr223.ImportGremlinPlugin.Builder

- Enclosing class:
    ImportGremlinPlugin

      public static final class ImportGremlinPlugin.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImportGremlinPlugin.Builder` | `appliesTo(Collection<String> scriptEngineName)` The name of the `GremlinScriptEngine` that this module will apply to.
    `ImportGremlinPlugin.Builder` | `classImports(Class<?>... classes)`
    `ImportGremlinPlugin.Builder` | `classImports(Collection<String> classes)`
    `ImportGremlinPlugin` | `create()`
    `ImportGremlinPlugin.Builder` | `enumImports(Collection<String> enums)`
    `ImportGremlinPlugin.Builder` | `enumImports(Enum... enums)`
    `ImportGremlinPlugin.Builder` | `fieldsImports(Collection<String> fields)`
    `ImportGremlinPlugin.Builder` | `fieldsImports(Field... fields)`
    `ImportGremlinPlugin.Builder` | `methodImports(Collection<String> methods)`
    `ImportGremlinPlugin.Builder` | `methodImports(Method... methods)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### appliesTo

          public ImportGremlinPlugin.Builder appliesTo(Collection<String> scriptEngineName)

      The name of the `GremlinScriptEngine` that this module will apply to. Setting no values here will make the module available to all the engines.

    - #### classImports

          public ImportGremlinPlugin.Builder classImports(Class<?>... classes)

    - #### classImports

          public ImportGremlinPlugin.Builder classImports(Collection<String> classes)

    - #### methodImports

          public ImportGremlinPlugin.Builder methodImports(Collection<String> methods)

    - #### methodImports

          public ImportGremlinPlugin.Builder methodImports(Method... methods)

    - #### enumImports

          public ImportGremlinPlugin.Builder enumImports(Collection<String> enums)

    - #### enumImports

          public ImportGremlinPlugin.Builder enumImports(Enum... enums)

    - #### fieldsImports

          public ImportGremlinPlugin.Builder fieldsImports(Collection<String> fields)

    - #### fieldsImports

          public ImportGremlinPlugin.Builder fieldsImports(Field... fields)

    - #### create

          public ImportGremlinPlugin create()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.